# Get TFN Verifications Get information about an existing TFN Verification. Endpoint: GET /v1/projects/{projectId}/tfnVerification/{tfnVerificationId} Version: 1.0 Security: BasicAuth, OAuth2 ## Path parameters: - `projectId` (string, required) Sinch uses projects to group resources such as contacts and apps together to manage and connect a unique set of keys and secret IDs for all your Sinch API products. To identify a project, it is given a unique alphanumeric identifier that ties it to your account. Your project ID can be found in the Customer Dashboard. - `tfnVerificationId` (string, required) The ID of an existing TFN verification ## Response 200 fields (application/json): - `projectId` (string, required) Your project ID can be found in the [Customer Dashboard](https://dashboard.sinch.com/settings/project-management). - `phoneNumber` (string, required) Toll-Free Number that is procured, hosted or in the process of hosting with Sinch. Must be in E.164 format. - `businessName` (string, required) - `businessAddress1` (string, required) - `businessCity` (string, required) - `businessState` (string, required) - `businessZipCode` (string, required) - `businessContactFirstName` (string, required) - `businessContactLastName` (string, required) - `businessContactEmail` (string, required) - `businessContactPhone` (string, required) - `corporateWebsite` (string, required) - `messageVolume` (string, required) Estimate monthly volume of messages from the TFN (accepted values: 10, 100, 1000, 10000, 100000, 250000, 500000, 750000, 1000000, 5000000, 10000000+) - `useCase` (string, required) Category of the use case, fetched from the dedicated API. - `useCaseSummary` (string, required) General idea of the use case and customer. - `productionMessageContent` (string, required) Example of message content. - `optInWorkflowDescription` (string, required) Description of the opt-in workflow. - `optInWorkflowImageUrls` (array, required) Images showing the opt-in workflow. - `businessRegistrationNumber` (string, required) A legally recognized business registration number. - `businessType` (string, required) The type of business. - `businessRegistrationCountry` (string, required) Country business is registered in. - `tfnVerificationId` (string, required) The unique identifier for the TFN verification request, generated by the server. - `status` (string, required) The current status of the verification request. Enum: "STATUS_UNSPECIFIED", "WAITING", "IN_PROGRESS", "VERIFIED", "REJECTED" - `createTime` (string, required) The timestamp when the verification was created, in UTC (RFC3339 format). - `createdBy` (string) The email of the user who initiated the request. - `businessAddress2` (string) - `businessCountry` (string) - `additionalInformation` (string) Any additional information. - `notes` (array) Feedback notes added during the review process. - `notes.note` (string) - `notes.createTime` (string) ## Response 400 fields (application/json): - `error` (object, required) - `error.code` (integer, required) The error code. Example: 400 - `error.message` (string, required) The error message. Example: "Invalid argument." - `error.status` (string) The status of the error. Example: "INVALID_ARGUMENT" - `error.details` (array) An array of objects describing the error in more detail, if applicable. - `error.details.type` (string) A more specific description of the error. Example: "BadRequest" - `error.details.resourceType` (string) The type of resource relevant to the error, if applicable. - `error.details.resourceName` (string) The name of the resource, if applicable. - `error.details.owner` (string) The owner of the resource, if applicable. - `error.details.description` (string) A description of the error, if applicable. - `error.details.fieldViolations` (array) An array of all the field violations which contributed to the error. - `error.details.fieldViolations.field` (string) The field which produced the error. Example: "order_by" - `error.details.fieldViolations.description` (string) The description of the error. Example: "Invalid `order_by` number." ## Response 429 fields (application/json): - `error` (object, required) - `error.code` (integer, required) The error code. Example: 400 - `error.message` (string, required) The error message. Example: "Invalid argument." - `error.status` (string) The status of the error. Example: "INVALID_ARGUMENT" - `error.details` (array) An array of objects describing the error in more detail, if applicable. - `error.details.type` (string) A more specific description of the error. Example: "BadRequest" - `error.details.resourceType` (string) The type of resource relevant to the error, if applicable. - `error.details.resourceName` (string) The name of the resource, if applicable. - `error.details.owner` (string) The owner of the resource, if applicable. - `error.details.description` (string) A description of the error, if applicable. - `error.details.fieldViolations` (array) An array of all the field violations which contributed to the error. - `error.details.fieldViolations.field` (string) The field which produced the error. Example: "order_by" - `error.details.fieldViolations.description` (string) The description of the error. Example: "Invalid `order_by` number."